# This file created by conda-build 3.21.5
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/imagecodecs-2021.8.26-python_3.9-on-linux_64, last modified Fri Oct 29 17:08:27 2021
# ------------------------------------------------

package:
  name: imagecodecs
  version: 2021.8.26
source:
  patches:
    - 0001-remove-blosc2-codec.patch
  sha256: e87994d918ea951a589ec46648c24d9c7e56b7b5c2466d93f3b07883f0ecea19
  url: https://pypi.io/packages/source/i/imagecodecs/imagecodecs-2021.8.26.tar.gz
build:
  entry_points:
    - imagecodecs=imagecodecs.__main__:main
  ignore_run_exports: null
  number: '0'
  string: py39h4cda21f_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.35.1 h27ae35d_9
    - binutils_linux-64 2.35.1 h454624a_30
    - gcc_impl_linux-64 7.5.0 h7105cf2_17
    - gcc_linux-64 7.5.0 h8f34230_30
    - gxx_impl_linux-64 7.5.0 h0a5bf11_17
    - gxx_linux-64 7.5.0 hffc177d_30
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libgcc-devel_linux-64 7.5.0 hbbeae57_17
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - libstdcxx-devel_linux-64 7.5.0 hf0c5c8d_17
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - patch 2.7.6 h7b6447c_1001
    - pkg-config 0.29.2 h1bed415_8
    - sysroot_linux-64 2.17 h57e8cba_10
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - blas 1.0 mkl
    - blosc 1.21.0 h8c45485_0
    - brotli 1.0.9 he6710b0_2
    - brunsli 0.1 h2531618_0
    - bzip2 1.0.8 h7b6447c_0
    - c-ares 1.17.1 h27cfd23_0
    - ca-certificates 2021.10.26 h06a4308_2
    - certifi 2021.10.8 py39h06a4308_0
    - cfitsio 3.470 hf0d0db6_6
    - charls 2.2.0 h2531618_0
    - cython 0.29.24 py39h295c915_0
    - giflib 5.2.1 h7b6447c_0
    - intel-openmp 2021.3.0 h06a4308_3350
    - jpeg 9d h7f8727e_0
    - jxrlib 1.1 h7b6447c_2
    - krb5 1.19.2 hac12032_0
    - lcms2 2.12 h3be6417_0
    - ld_impl_linux-64 2.35.1 h7274673_9
    - lerc 3.0 h295c915_0
    - libaec 1.0.4 he6710b0_1
    - libcurl 7.78.0 h0b77cf5_0
    - libdeflate 1.8 h7f8727e_5
    - libedit 3.1.20210714 h7f8727e_0
    - libev 4.33 h7f8727e_1
    - libffi 3.3 he6710b0_2
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgfortran-ng 7.5.0 ha8ba4b0_17
    - libgfortran4 7.5.0 ha8ba4b0_17
    - libgomp 9.3.0 h5101ec6_17
    - libnghttp2 1.41.0 hf8bcb03_2
    - libpng 1.6.37 hbc83047_0
    - libssh2 1.9.0 h1ba5d50_1
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - libtiff 4.1.0 h2733197_1
    - libwebp 1.2.0 h89dd481_0
    - libzopfli 1.0.3 he6710b0_0
    - lz4-c 1.9.3 h295c915_1
    - mkl 2021.3.0 h06a4308_520
    - mkl-service 2.4.0 py39h7f8727e_0
    - ncurses 6.2 he6710b0_1
    - numpy-base 1.16.6 py39hdc34a94_3
    - numpy-devel 1.16.6 py39hef7d012_3
    - openjpeg 2.3.0 h05c96fa_1
    - openssl 1.1.1l h7f8727e_0
    - pip 21.2.4 py39h06a4308_0
    - python 3.9.7 h12debd9_1
    - readline 8.1 h27cfd23_0
    - setuptools 58.0.4 py39h06a4308_0
    - six 1.16.0 pyhd3eb1b0_0
    - snappy 1.1.8 he6710b0_0
    - sqlite 3.36.0 hc218d9a_0
    - tk 8.6.11 h1ccaba5_0
    - tzdata 2021e hda174b7_0
    - wheel 0.37.0 pyhd3eb1b0_1
    - xz 5.2.5 h7b6447c_0
    - zfp 0.5.5 h2531618_6
    - zlib 1.2.11 h7b6447c_3
    - zstd 1.4.9 haebb681_0
  run:
    - blosc >=1.21.0,<2.0a0
    - brotli >=1.0.9,<1.1.0a0
    - brotli >=1.0.9,<2.0a0
    - brunsli >=0.1,<1.0a0
    - bzip2 >=1.0.8,<2.0a0
    - cfitsio >=3.470,<3.471.0a0
    - charls >=2.2.0,<2.3.0a0
    - giflib >=5.2.1,<5.3.0a0
    - jpeg >=9d,<10a
    - jxrlib >=1.1,<1.2.0a0
    - lcms2 >=2.12,<3.0a0
    - lerc >=3.0,<4.0a0
    - libaec >=1.0.4,<2.0a0
    - libdeflate >=1.8,<1.9.0a0
    - libgcc-ng >=7.5.0
    - libpng >=1.6.37,<1.7.0a0
    - libstdcxx-ng >=7.5.0
    - libtiff >=4.1.0,<5.0a0
    - libwebp >=1.2.0,<1.3.0a0
    - libzopfli >=1.0.3,<1.1.0a0
    - lz4-c >=1.9.3,<1.10.0a0
    - numpy >=1.16.6,<2.0a0
    - openjpeg >=2.3.0,<3.0a0
    - python >=3.9,<3.10.0a0
    - snappy >=1.1.8,<2.0a0
    - xz >=5.2.5,<6.0a0
    - zfp >=0.5.5,<1.0a0
    - zlib >=1.2.11,<1.3.0a0
    - zstd >=1.4.9,<1.5.0a0
test:
  commands:
    - cd tests
    - pytest -vv test_imagecodecs.py -k "not test_image_roundtrips[jpeg2k-uint16-rgb-out-bytearray-None]"
  imports:
    - imagecodecs
    - imagecodecs._imagecodecs
  requires:
    - pytest
  source_files:
    - tests
about:
  description: 'The imagecodecs package provides various block-oriented, in-memory
    buffer

    transformation, compression, and decompression functions for use in the

    tifffile, czifile, and other Python imaging modules.


    Decode and/or encode functions are currently implemented for Zlib DEFLATE,

    ZStandard, Blosc, LZMA, BZ2, LZ4, LZW, LZF, PNG, WebP, JPEG 8-bit,

    JPEG 12-bit, JPEG SOF=0xC3, JPEG 2000, JPEG XR, PackBits, Packed Integers,

    Delta, XOR Delta, Floating Point Predictor, and Bitorder reversal.

    '
  dev_url: https://github.com/cgohlke/imagecodecs
  doc_url: https://www.lfd.uci.edu/~gohlke/
  home: https://www.lfd.uci.edu/~gohlke/
  license: BSD-3-Clause
  license_family: BSD
  license_file:
    - 3rdparty/bitshuffle/LICENSE
    - 3rdparty/liblzf/LICENSE
    - 3rdparty/openjpeg/LICENSE
    - LICENSE
  summary: Image transformation, compression, and decompression codecs
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - csachs
    - hmaarrfk
    - sdvillal
